Home Help Center

Updating iOS SDK, compilation, linking

JanggwanJanggwan Member Janggwan ImOrganization: KAISTProject: Internet of Things architecture
Whenever I update iOS SDK, compiling and linking the apps developed with IceTouch Xcode plugin make a lot of errors...

Is there any official guidelines for updating iOS SDK?

Comments

  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Whenever I update iOS SDK, compiling and linking the apps developed with IceTouch Xcode plugin make a lot of errors...

    Without see the actual errors is hard to guess. We also need to know which IceTouch, OSx, IOs and Xcode versions you are using.
  • JanggwanJanggwan Member Janggwan ImOrganization: KAISTProject: Internet of Things architecture
    Is Xcode 4.0 not yet supported?

    oh, Is Xcode 4.0 not yet supported?

    so, I returned back to Xcode 3.2.6

    but I have still a problem with settings related with armv6 and armv7.
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Is Xcode 4.0 not yet supported?
    No yet supported, next IceTouch release will include a plug-in to work with Xcode 4.x and Xcode 3.x
    I have still a problem with settings related with armv6 and armv7
    Note that IceTouch-1.1.0 just build armv6 binaries, you can tweak "objc/config/Make.rules.Darwin" to build armv6 and armv7 fat binaries, the next IceTouch release will include fat binaries with armv6 and armv7 architectures.
Sign In or Register to comment.